# twosided

## Name

twosided — Is a normal surface two-sided?

## Synopsis

Content Model

    twosided ::=

Attributes
Name | Type
`value` | CDATA (required)

## Description

A `twosided` element stores whether or not a normal surface is two-sided.

### Parents

The following elements contain `twosided`: `surface`.

### Children

Element `twosided` has no children.

## Attributes

`value`

  Either `T` or `F`, according to whether the parent surface is two-sided or one-sided respectively.

  Past versions of Regina (versions 4.92 and earlier) used `true` or `1` instead of `T`, used `false` or `-1` instead of `F`, and also used `unknown` or `0` to indicate that this property was unknown.